package LLI::SubscriberStore;

# This package manages/translates between the database store and Subscriber objects
#
# $Id: SubscriberStore.pm,v 1.1 2003/03/24 01:05:11 mankins Exp $

my $VERSION = 1.00;

use strict;

use LLI::Node;

sub new 
  {
    my $proto = shift;
    my $class = ref($proto) || $proto;

    my ($self) = (@_);

    $self->{'nugget_table'} = $self->{'node_table'} || 'nuggets';
    $self->{'node_table'} = $self->{'node_table'} || 'nodes';
    $self->{'subscriber_table'} = $self->{'subscriber_table'} || 'subscribers';

    bless ($self, $class);

    return $self;
  }

sub get_subscribers
  {
    my $self = shift;

    my ($node_name) = @_;

    my $subscriber = new LLI::Subscriber;

    my $statement = "SELECT jid FROM ".$self->{'subscriber_table'}." WHERE nodeid = ?";
    my $result = $dbh->selectall_hashref($statement, "jid", undef, ($node->id()) );          

    my (@subscribers) = keys (%{ $result });
    $node->subscribers(\@subscribers);
  }

1;
